# class KImageTrackLabel | Used internally by KAboutContainerBase More...
Internal Use Only
Definition | `#include <kaboutdialog_private.h>`
Inherits | QLabel (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum MouseMode { MousePress = 1, MouseRelease, MouseDoubleClick, MouseMove }

#### Public Methods

- KImageTrackLabel ( QWidget * parent, const char * name=0, WFlags f=0 )

#### Signals

- void mouseTrack ( int mode, const QMouseEvent *e )

#### Protected Methods

- virtual void mousePressEvent ( QMouseEvent *e )
- virtual void mouseReleaseEvent ( QMouseEvent *e )
- virtual void mouseDoubleClickEvent ( QMouseEvent *e )
- virtual void mouseMoveEvent ( QMouseEvent *e )

## Detailed Description

Used internally by KAboutContainerBase

enum MouseMode { MousePress = 1, MouseRelease, MouseDoubleClick, MouseMove } | ### MouseMode

KImageTrackLabel ( QWidget * parent, const char * name=0, WFlags f=0 ) | ### KImageTrackLabel

void mouseTrack ( int mode, const QMouseEvent *e ) | ### mouseTrack

[signal]

void mousePressEvent ( QMouseEvent *e ) | ### mousePressEvent

[protected virtual]

void mouseReleaseEvent ( QMouseEvent *e ) | ### mouseReleaseEvent

[protected virtual]

void mouseDoubleClickEvent ( QMouseEvent *e ) | ### mouseDoubleClickEvent

[protected virtual]

void mouseMoveEvent ( QMouseEvent *e ) | ### mouseMoveEvent

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.